Overview:
Supports direct bank transfers in Pakistan.
Payin
Not supported yet
Payout
Request body:
| Field | Type | Requirement Level | Description |
|---|---|---|---|
amount | number | Required | Amount in the local currency |
currency | string | Required | PKR |
method_code | string | Required | "BANK_TRANSFER_PKR" |
recipient.wallet_uid | string | Required | Recipient’s 24-digit bank ID |
recipient.full_name | string | Required | Recipient’s full name |
recipient.phone | string | Required | Recipient’s phone number |
reference | string | Required | Merchant reference |
country | string | Required | Country (iso2) |
metadata | object | Optional | Merchant metadata |
webhook_url | string | Optional | HTTPS URL for notifications |
sender.full_name | string | Optional | Sender's full name |
sender.address | string | Optional | Sender's address |
sender.phone | string | Optional | Sender's phone number |
Sample Payload:
{
"amount": 100,
"currency": "PKR",
"method_code": "BANK_TRANSFER_PKR",
"recipient": {
"wallet_uid": "01712345678",
"full_name": "Firstname Surname",
"phone": "2345967879"
},
"reference": "INV-2025-001",
"country": "PK",
"metadata": {
"internal_id": "user1234"
},
"webhook_url": "https://yourwebsite.com/webhook",
"sender": {
"full_name": "Firstname Surname",
"address": "No 2, Green Median Str"
}
}
